{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <!--Setting the viewport to make your website look good on all devices:-->
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
        
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
        

        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/js-cookie@rc/dist/js.cookie.min.js"></script>

        <link type="text/css" rel="stylesheet" href="{% static 'css/lab5_index_style.css' %}">

        <script type="text/javascript" src="{% static 'js/load_note.js' %}"></script>
        <script type="text/javascript" src="{% static 'js/lab5_index.js' %}"></script>

        <title>Notes</title>

    </head>

    <body>
        <div class="jumbotron header">
            <h1 class="display-4">Notes</h1>
            
        </div>
        
        <div class="note-table">
            <table class="table">
                <thead class="thead-dark">
                    <tr>
                        <th>To</th>
                        <th>From</th>
                        <th>Title</th>
                        <th>Actions</th>
                    </tr>
                </thead>
                <tbody class="tablebody" id="tablebody">
                <!-- Script in load_note.js -->
                </tbody>
            </table>
            
        </div>
        <!-- Add modal files -->
        <!-- View Modal -->
    <div class="modal fade" id="viewModal" tabindex="-1" aria-labelledby="viewModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="viewModalLabel"></h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>  

    <!-- Edit Modal -->
    <div class="modal fade" id="editModal" tabindex="-1" aria-labelledby="editModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-lg">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="editModalLabel">Edit Note</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
            <form method="POST" id="modal-update">
              {% csrf_token %}
              <div class="row g-2">
                <div class="col-md">
                  <div class="form-floating mb-3">
                    <input maxlength="30" name="msgFrom" type="text" class="form-control" id="floatingFrom" placeholder="From">
                    <label for="floatingFrom">From</label>
                  </div>
                </div>
                <div class="col-md">
                  <div class="form-floating mb-3">
                    <input maxlength="30" name="msgTo" type="text" class="form-control" id="floatingTo" placeholder="To">
                    <label for="floatingTo">To</label>
                  </div>
                </div>
              </div>
                  
              <div class="form-floating mb-3">
                <input maxlength="50" name="msgTitle" type="text" class="form-control" id="floatingTitle" placeholder="Title">
                <label for="floatingTitle">Title</label>
              </div>
              <div class="form-floating">
                <textarea maxlength="100" name="msg" class="form-control" placeholder="Message" id="floatingMessage"></textarea>
                <label for="floatingMessage">Message</label>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            <button form="modal-update" type="button" class="btn-save btn btn-primary" data-bs-dismiss="modal">Save changes</button>
          </div>
        </div>
      </div>
    </div>  

    <!-- Delete Modal -->
    <div class="modal fade" id="deleteModal" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="deleteModalLabel">Delete Note X</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
            <form method="POST" id="modal-delete">
              {% csrf_token %}
              Do you want to delete this note?
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            <button form="modal-delete" type="button" class="btn-del btn btn-danger" data-bs-dismiss="modal">Delete</button>
          </div>
        </div>
      </div>
    </div>
</body>
</html>
